# UsernameChat - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.chat.abstracts / UsernameChat

# UsernameChat

(common) `interface UsernameChat : Chat` (source)

### Properties

(common)

#### username

`abstract val username: Username?`

### Inheritors

(common)

#### PrivateChat

`interface PrivateChat : Chat, UsernameChat`

(common)

#### SuperPublicChat

`interface SuperPublicChat : PublicChat, UsernameChat`